#include "rapidjson/filereadstream.h"
#include "rapidjson/document.h"
#include <fstream>
#include <stdio.h>
#include <iostream>
#include <string>
#include <cctype>
#include <cstdio>

using namespace rapidjson;
using namespace std;

void main()
{
	FILE* fp = fopen("mytest_arr.json", "rb"); // non-Windows use "r"
	char readBuffer[65536];
	FileReadStream is(fp, readBuffer, sizeof(readBuffer));
	Document doc;
	doc.ParseStream(is);
	fclose(fp);

	if(doc.IsArray())
	{
		cout << "is array  " << doc.Size() << endl;
		for (SizeType i =  0; i < doc.Size(); i++)
		{
			Value& v = doc[i];
			cout << "name:  " << v["name"].GetString() << endl;
		}
	}
}
