#include "rapidjson/filereadstream.h"
#include "rapidjson/document.h"
#include <fstream>
#include <stdio.h>
#include <iostream>
#include <string>
#include <cctype>
#include <cstdio>

using namespace rapidjson;
using namespace std;

void main()
{
	FILE* fp = fopen("mytest_child.json", "rb"); // non-Windows use "r"
	char readBuffer[65536];
	FileReadStream is(fp, readBuffer, sizeof(readBuffer));
	Document doc;
	doc.ParseStream(is);
	fclose(fp);

	if(doc.HasMember("name"))
	{
		Value& v = doc["name"];
		cout << "last name: " << v["last"].GetString()  << endl;
		cout << "age: " << doc["age"].GetInt() << endl;
		cout << endl;
	}

	cout << "full name: " << doc["name"]["last"].GetString()  
		                  << doc["name"]["first"].GetString()
						  << endl;
}
